package com.ruoyi.xq.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.xq.domain.AreaCode;
import com.ruoyi.xq.dto.admin.areacode.AreaCodeAdminTree;
import com.ruoyi.xq.dto.app.areacode.AreaCodeQuery;
import com.ruoyi.xq.dto.app.areacode.AreaCodeTree;

import java.util.List;

/**
 * 行政区划Service接口
 *
 * @author 77
 * @date 2024-03-19
 */
public interface AreaCodeService extends IService<AreaCode> {

    List<AreaCode> listAreaCode(AreaCodeQuery query);

    List<AreaCodeAdminTree> treeAdmin();

    List<AreaCodeTree> tree();

}
